View Issue Details

IDProjectCategoryView StatusLast Update
09650Feature requestsPluginspublic2020-01-16 17:02
ReporterDenisChenu Assigned Toollehar  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Fixed in Version3.0 
Summary09650: Extend lang (add po/mo system for plugin)
Description

In some plugin, we add some text. We need to have a solution to offer a way to translate this sentence for plugins.

Additional Information

Maybe in same event than linked Feature ?

TagsNo tags attached.

Relationships

related to 09649 new Plugin event : update "default core string" 
related to 10260 new customizable privacy message 

Activities

ollehar

ollehar

2016-07-17 17:55

administrator   ~39933

Discussion here: https://manual.limesurvey.org/Plugin_localization#Questions

DenisChenu

DenisChenu

2016-07-29 17:09

developer   ~40117

Think the way you done is OK in cint .

Except for "replacing" default string, but this one can be done (maybe ) with other event/system

Some example

For Privacy Message : https://bugs.limesurvey.org/view.php?id=11432 can replace it ( A event n replacement helper (or in EM helper) )
For Default text for email : allowing to update/replace Core model can do the job too.
Male/Female : Can be done with beforeQuestionRender , or a new Question type.

I don't see (actually) other need/example (but there are surely some ;) )

ollehar

ollehar

2016-08-01 10:09

administrator   ~40122

To do that, we need an event in gT/eT. Might be non-performant, thought.

ollehar

ollehar

2016-08-01 10:10

administrator   ~40123

Better might be to hack into message source and replace some strings during runtime.

DenisChenu

DenisChenu

2016-08-01 10:21

developer   ~40125

Hi olle,

Yes : extend Message source CAN be the solution. But maybe : don't allow replacing core messafe source => because when we need to replace a default string : we have a better event.

Privacy message : {PRIVACY} replacement do it.
Default text : extend SUrveyLanguage model ? ( getDefault for example)
Male/Femal : can be done with : beforeQuestionRender or maybe (better) before extend getViewFile : http://www.yiiframework.com/doc/api/1.1/CController#getViewFile-detail

This allow to replace easily any view, or do an update in data sent to any view.

ollehar

ollehar

2016-08-01 10:22

administrator   ~40126

You're only talking about front-end texts?

DenisChenu

DenisChenu

2020-01-16 17:02

developer   ~55328

$this->gT for plugins

Issue History

Date Modified Username Field Change
2015-05-27 08:43 DenisChenu New Issue
2015-05-27 08:44 DenisChenu Relationship added related to 09649
2016-01-30 11:58 DenisChenu Relationship added related to 10260
2016-07-17 17:55 ollehar Note Added: 39933
2016-07-29 17:09 DenisChenu Note Added: 40117
2016-08-01 10:09 ollehar Note Added: 40122
2016-08-01 10:10 ollehar Note Added: 40123
2016-08-01 10:21 DenisChenu Note Added: 40125
2016-08-01 10:22 ollehar Note Added: 40126
2020-01-16 17:02 DenisChenu Assigned To => ollehar
2020-01-16 17:02 DenisChenu Status new => closed
2020-01-16 17:02 DenisChenu Resolution open => fixed
2020-01-16 17:02 DenisChenu Fixed in Version => 3.0
2020-01-16 17:02 DenisChenu Note Added: 55328